Create Care author

Add an author to Care

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Adds an author to Care

(To batch update/create multiple authors, see PUT /authors.

The id field is required for all network types. The networkinstance field is required for network types crm and lithium. Note the syntax used when associating an author with one versus multiple, unique CRM or Khoros Community network types. Examples of each use case are provided below.

📘

Note

If a CRM author integration or custom CRM author attribute has not been configured in Social Response by Khoros Support or Khoros Services, the call will return a 400 error.

This payload links the author with a single CRM and a Facebook account.

[{
    "handles": {
        "crm": [{
            "networkinstance": "integrationA",
            "id": "wertw34643er"
        }],
        "facebook": [{
            "id": "123456789012345"
        }]
    }
}]

This payload associates a new author with two CRMs and a Facebook account. If you were going to associate the author with multiple Community apps, you would include a lithium entry under handles similar to the one shown here for crm.

[{
"handles": {
    "crm": [{
            "network instance": "CRM_A",
            "id”: “34233452",
            "attributeA”: "valueA"

        },{
            "network instance”: "CRM_B",
            "id": "547376rtydfg",
            "attributeA": "valueA"
        }],
    "facebook": [{
            "id": "123456789012345"
        }]
    }
}]

Related endpoints

ActionEndpoint
GET/authors
Get all authors in a paginated response
PUT/authors
Batch update author records associated with a single author
GET/authors/lswUuid(br />)Get author details by the unique Care author ID
PUT/authors/lswUuid
Update or merge existing author handles for the specified Care author ID
GET/authors/changed
Get a list of author records that have changed in a 24-hour period
Body Params
string

The specific instance of the CRM system. The value of networkinstance is the value of a key that you give to Khoros Support or Khoros Services during author integration configuration. The networkinstance field is required in the JSON body for POST with CRM and Khoros Community network types that can have multiple instances (as opposed to network types like Instagram and Facebook that have only a single, default network)

string
required

The author's ID in the CRM system to join with the new Author resource being created. The ID must be unique within the CRM instance.

string

Maps to an internal attribute name (key) provided to Khoros for the custom CRM author attribute associated with the CRM instance

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json